Ubuntu

After hibernate, sound doesn't work

Reported by hazylazysusan on 2005-11-17
66
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Stefan Bader
linux-source-2.6.17 (Ubuntu)
Medium
Unassigned
linux-source-2.6.20 (Ubuntu)
Medium
Unassigned
linux-source-2.6.22 (Ubuntu)
Undecided
Unassigned
linux-ubuntu-modules-2.6.24 (Ubuntu)
Low
Stefan Bader

Bug Description

Hi, with kernel 2.6.9-12 hibernating finally works on my computer. However,
when I wake up the computer, it doesn't re initialise ALSA and sound doesn't
work. That means I have to put " sudo /etc/init.d/alsa force-reload " into
the terminal.

Although that command makes sound work again, it crashes the Gnome volume
mixer on the panel.

hazylazysusan (hazylazysusan) wrote :

Another hting I noticed is that samba doesn't work when waking up either.

home@ubuntu:~/My Documents$ sudo /etc/init.d/samba restart
Password:
 * Stopping Samba daemons... start-stop-daemon: warning: failed to kill 8435: No such
process

                                                 [ ok ]
 * Starting Samba daemons..

I got a similar bug on dapper on iBook G4 1,07 GHz :

I suspend, then i wake up and the sound is set as low as it is possible...

kernel 2.6.15-11

I have no gnome volume mixer on my panel...

Here's my experience: I suspend and the resume, and a video playing in Kaffeine has no sound. I then did something (I forget what) that caused a Gnome system event sound to fire, and I heard both the system beep and the video's sound.

My suspicion is that the Gnome system event caused some sound daemon to restart, or something like that.

My system: Dapper, up to date with patches as of the evening of 12 June 2006. HP Pavilion dv4150 (a variant of the dv4000). Sound card is Intel ICH6; chip is Analog Devices AD1981B. Kaffeine appears to be using xine for its engine. xine's audio driver is set to "auto".

Lee.Tambiah (flossgeek) wrote :

Issue: Hibernate made my sound fail, I found no way of getting it back, and did a reinstall.

Machine Specifications

IBM Thinkpad R50e
Sound Card Device: Intel 82801DB

Dapper was fully updated as of the 23rd June, 06 when this issue was recognised.

Igor Zubarev (igor.zubarev) wrote :

Confirm for Sony VAIO VGN-FS115MR
Dapper, kernel 2.6.15-26.46

After update of kernel much troubles after resume from hibernation: sound not work, ON button, bluetooth mouse :(

Mark Grandi (markgrandi) wrote :

I also have this problem. After hibernate, my sound refuses to work, and programs that do use sound (media players like beep and exaile) freeze when i try to play a song and i have to force quit them

but after a restart sound comes back.

I am using edgy, kernel 2.6.17-10-generic

2007/2/7, Polygon <email address hidden>:
>
> I also have this problem. After hibernate, my sound refuses to work, and
> programs that do use sound (media players like beep and exaile) freeze
> when i try to play a song and i have to force quit them
>
> but after a restart sound comes back.
>
> I am using edgy, kernel 2.6.17-10-generic

Confirm for Edgy

Mark Grandi (markgrandi) wrote :

Ive also just tried "suspend to ram" to see if the problem exists there, and after coming out of it, i get the same "no sound, any program that uses sound freezes" symptoms.

Peter Whittaker (pwwnow) wrote :

Folks, please update the bug report with the output of

uname -a

Also, please run the following commands and attach their output to the report, one attachment per command:

sudo lspci -vv

sudo lspci -vvn

sudo dmidecode

Please be sure to attach as there will be a lot of output. Also please be sure to run with sudo, as these commands require root access to get to the required information.

Thanks!

Changed in acpi-support:
status: Unconfirmed → Needs Info
Lee.Tambiah (flossgeek) wrote :

Although this happened to me on Dapper I haven't tried hibernating in Edgy. So I'm not sure if this still appropriate, but never the less I have attached my outputs of my IBM Thinkpad R50e.

Peter Whittaker (pwwnow) wrote :

Marking confirmed based on availability of requested logs.

Changed in acpi-support:
status: Needs Info → Confirmed
Mark Grandi (markgrandi) wrote :

Here is the outputs for each of the request commands in text files as requested

eppy 1 (choppy121212) wrote :

I have this problem in Feisty Fawn. Samba now works for me but sound doesn't and the command /etc/init.d/alsamixer force-reload works.

Linux promax 2.6.20-13-generic #2 SMP Sun Mar 25 00:21:25 UTC 2007 i686 GNU/Linux

Here are the logs I have after hibernating:

eppy 1 (choppy121212) wrote :

oops--I just realized that Totem was MUTED when I did the test with my cm8738. I just hibernated and resumed and sound seems to be working.

I didn't use my onboard sound card (cm8738) in previous releases of Ubuntu (like dapper, breezy, etc., which is the time this bug is from). I do know that the soundblaster live emu10k1 didn't come up after resuming from a hibernate, and that /etc/init.d/alsa-utils force-reload was required

I can't test my soundblaster live with hibernate though because sound output is not working in Feisty Fawn at all.

I can confirm this as well, for 2.6.17-10-generic. The various logs requested above are attached.

amarok, kaffeine, et al freeze when playing, when sound is broken. Also, running "acpi-utls stop/start" doesn't seem to do anything at all. It requires a reboot to get sound working again.

||dELm|| (er-delm) wrote :

i can confirm behabiour on a hp pavilon dv2225la on 2.6.20-13-generic (feisty beta 1)

Same problem, no sound after hibernation... reboot doesn't help, alsa force reload neither. Happened to me before and after 2 or 3 reboots it re-works.

Solution to this problem:

Shutdown the computer (not restart, not reboot, not force-reload), make sure all the hardware is off and the power is off, then start the computer and everything should be working fine.

Hibernating does not restart the hardware properly, which is only done properly when the computer is starting from an off state.

Confirmed, Feisty Beta, Kubuntu, 2.6.20-12.

As requested earlier in this bug report:

 lspci -vv > lspci_vv.txt
 lspci -vvn > lspci_vvn.txt
 dmidecode > dmidecode.txt

And from https://help.ubuntu.com/community/DebuggingSoundProblems

 uname -a > uname.txt
 tail -2 /proc/asound/oss/sndstat > tail_proc_asound_oss_sndstat.txt
 amixer > amixer.txt
 asoundconf list > asoundconf_list.txt
 dmesg > dmesg.txt
 cat /proc/interrupts > proc_interupts.txt

These files did not exist /etc/asound.conf ~/.asoundrc*

minty (murray-minty) wrote :

feisty beta - simply hibernating (to memory) and waking up again appears to fix this, at list the two times it has happened.

it doesn't appear to happen every time either.

No, isn't fixed on feisty beta.

DaTa (danielt) wrote :

I have the same problem, but it happens since feisty. Dapper worked fine for me.

https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.17/+bug/25896/comments/20 the attached tar ball contains the files mentioned in this post. Please contact me if I should provide other/more details.

vidak (vidakris) wrote :

I have the same problem, since feisty. In edgy there was no such problem. The machine is an Acer Aspire 1640 notebook. The requested outputs are attached in one txt-file.
I've tried to turn off alsa before hibernating, and restarting alsa after waking up -- with no result. When suspending after hibernate, the sound came back. It's also OK after a reboot.
(the power led keeps flashing, this is also a new 'feature', however not crucial)

Davidw (davou000) wrote :

Confirmed on acer travelmate. also;

>davou@Lain4:~$ sudo /etc/init.d/alsa force-reload
>Password:

returns:

>sudo: /etc/init.d/alsa: command not found

Is this alsa deamon located elsewhere on Fiesty?

vidak (vidakris) wrote :

it's /etc/init.d/alsa-utils

Jeroen de Ridder (j-deridder) wrote :

Same here for Acer Ferrari 4000 running Kubuntu Feisty.

BTW restarting alsa deamon does not work. Terrible... Why is hibernating so difficult?

Olivier Tilloy (osomon) wrote :

I experience the same bug since my migration to Feisty (it worked in Dapper and Edgy): sound does not work after hibernating, the only working solution is to reboot the machine.

My machine is an Acer laptop, Extensa 4102WLMi.

Olivier Tilloy (osomon) wrote :

Found a kind of "workaround" to the problem: after resuming from hibernated state, sound does not work. I then suspend to ram and resume, and sound is back.

Not that this is a satisfactory solution, but might be useful in understanding the reason of the problem...

Hope this helps.

Anton Petrov (blz777) wrote :

Thanks oSoMoN :) Suspending to ram and resuming brought my sound back :) (I'm with a laptop Fujitsu Siemens Amilo Pro v2030) Ubuntu Feisty

Matti Lindell (mlind) wrote :

several people reported the issue with feisty kernel too

Changed in linux-source-2.6.20:
importance: Undecided → Medium
status: Unconfirmed → Confirmed
Martey Dodoo (martey) wrote :

The more recent comments on this bug from people running Feisty kernels sounds more like bug #80893, and not the original issue reported.

Changed in linux-source-2.6.20:
assignee: nobody → ubuntu-kernel-team
Kobus Prinsloo (kprinsloo) wrote :

 oSoMoN 's "workaround" works for me as well. Acer Travelmate 8104.

Thanks!

Nitinn (nacky-4-u) wrote :

There is no solution yet
I m using ACER TRAVEL MATE 4602
Tried every thing

nitin@sexy-babe:~$ /etc/init.d/alsa-utils restart
open: Permission denied
 * Shutting down ALSA... open: Permission denied
 * warning: 'alsactl store' failed with error message 'alsactl: save_state:1280: Cannot open /var/lib/alsa/asound.state for writing'... open: Permission denied
                                                                                                                                                    [fail]
open: Permission denied
 * Setting up ALSA... open: Permission denied
                                                                                                                                                    [ OK ]
nitin@sexy-babe:~$ /etc/init.d/alsa-utils stop
open: Permission denied
 * Shutting down ALSA... open: Permission denied
 * warning: 'alsactl store' failed with error message 'alsactl: save_state:1280: Cannot open /var/lib/alsa/asound.state for writing'... open: Permission denied

nitin@sexy-babe:~$ /etc/init.d/alsa-utils start
open: Permission denied
 * Setting up ALSA... open: Permission denied

Its kind of a bug
I had collectd genral view and most of da peeps are facing this problem , only in few HP laptop its not creating problem .

If any1 have ny remedy please do post it now ...

Nitinn (nacky-4-u) wrote :

Solution found friendss

double click on sound manager at panel
and
1. check device slected is alsamixer
2. CHeck all lines like MASTER,LINE IN ,HEADPHONES ,PCM are unmute .
   if dey are mute turn them to unmute
   mute = (X) cross sign below it
   unmute= no (X) sign will b dere
3. Your sound will b working perfectly fine

Tried on ACER TRAVELMATE 4603

any further solution contact me on <email address hidden>

Another solution friends (if previous wont work ..)

Friends it just simple step ..
1. hibernate your system with pcm ,master ,line-in turn to mute
         It can be done by double clickin on sound icon on panel there mute all button .

2. When u wake up from hibernate ..
        Double click on sound icon again and turn them to unmute .

                     It will work ( it did for me )

Another solution firends (if previous dont work)

1. Hibernate your system normally .
2. When you want sound , double click on sound icon on panel and mute all channel like master,pcm ,line-in everythin .
3. Set your systen to suspend(by single right clicking on icon ) from Battery icon (for laptops), desktop can choose other normal way.
       suspending sysem takes around 50 seconds (not a big task )
4. Recover from suspend after few seconds and again open volume control(ctrl+O) and unmute all channels (pcm,master)
5. Play your music player and get sound back ..

                   This will surely work as it workd on more than 10 diffrent config system
                                          for any further querry in dis contact me on gmail - <email address hidden> / <email address hidden>

Mark Grandi (markgrandi) wrote :

still doesn't work, gutsy tribe 5 (or whatever its on now), with a 2.6.22-12-generic kernel

Konstantin S. Ivanov (ksiv) wrote :

I had the same trouble for 2.6.22-2 on HP 500 notebook
my workaround is an ALSA scriplet for hibernate
I use Gnome UI. The hibernate packet from Debian Etch
Installation instruction is inside (take care of the paths)
As this plugin is for GNU component it inherits the license.

Mark Grandi (markgrandi) wrote :

Konstantin, /etc/hibernate does not exist, should i create that folder and scriptlets.d ? and also, where is 'common.conf'?

Konstantin S. Ivanov (ksiv) wrote :

To: Polygon
it's definitely exist in my system, as i mentioned it's Debian Etch, the package that provides this file is called "hibernate".
The scriptlet is complicated, just to suit it's pluggable nature, but the idea is to "unload" the ALSA service.
You can try to unload ALSA manually, in my system it's done by
#/etc/init.d/alsa unload (should be done after state there the system yet sounds, won't work if it's already lost it's sound ability)
After that try to hibernate the way you do it, and then boot the system again. If it works just find out how to implement it into your
system, as the system suppose to be a Debian based one it's likely the scriplets just in the different place. Try to find them using
"find" command.
Or look at "hibernate" script if you have any and look inside it there should be also "scriptlets path"
in my system it's
SCRIPTLET_PATH="$SWSUSP_D/scriptlets.d /usr/local/share/hibernate/scriptlets.d /usr/share/hibernate/scriptlets.d"

I hope it ll help you

In case it does not work for you- you can
- compare the list of modules loaded before and after hibernate
- reload all snd modules

Good luck!

Mark Grandi (markgrandi) wrote :

i just tried this, and right before it goes into hibernate i see something that says 'alsa not found' and then it goe s into suspend.... and then wehn i come out i still dont have sound

i would like a proper fix for this though, im going to try and remove my sound card and see if that magically makes it work

Mark Grandi (markgrandi) wrote :

Today, i reinstalled windows, so i decided to take my sound card (a creative sound blaster live! 24 bit) and try my luck with my onboard sound, and after i re-enabled my onboard sound in the bios, i booted into ubuntu and suspended, and upon coming out i still have sound. (i also got a new usb headset which doesnt plug into the onboard sound ports obviously but i dont think that had any effect)

So, maybe the problem has to do with certain sound card drivers or something.

Olivier Tilloy (osomon) wrote :

Fixed for me with Gutsy.

vidak (vidakris) wrote :

Same here, with gutsy it' OK.

Florian Boucault (fboucault) wrote :

Same here: fine with Gutsy.

Igor Zubarev (igor.zubarev) wrote :

No sound for Sony VAIO VGN-FS115MR in Gutsy after hibernate.

skootamota (holditch) wrote :

No sound for me with Sony Vaio VGN-TXN15p in Gutsy after hibernate or suspend.

Panayiotis Karabassis (panayk) wrote :

*Not* fixed for me in Gutsy (2.6.22-14-generic).

Sound is not working for me after Hibernate. It has worked flawlessly on Edgy and Feisty. My laptop is a ITAUTEC W7630. Outside Brazil, this notebook has diverse brands (EVEREX, etc). It's manufactured by FIC (http://www.fic.com.tw/product/notebooks.htm) for many brands.

effenberg@effenberg-mobile:~$ uname -a
Linux effenberg-mobile 2.6.22-14-generic #1 SMP Tue Dec 18 08:02:57 UTC 2007 i686 GNU/Linux

Setting "HIBERNATE_MODE=platform" at /etc/default/acpi-support also won't work.

Resuming to Ram (SUSPEND) and resuming gets me sound back ok.

However, resuming from Suspend has other issues (not related to sound thou):
- CPU cooler always on at full speed after resume from suspend, never at this speed when using PC normally..
- Network-Manager forgets Wi-Fi pasword, although it has it on the keyring. Have to enter it manually.
- Touchpad gets ultra-sensible, making it unusable to type in the laptop.

I have attached some information, as suggested in a post above:
sudo lspci -vv > lscpi_-vv.txt
sudo lspci -vvn > lscpi_-vvn.txt
sudo dmidecode > dmidecode.txt

Any help will be deeply appreciated.

Regards,
Effenberg

Maybe this can help you guys somehow: I have done the three commands above aftera cold boot and after resuming from hibernate in order to track changes through diff.
DMIDECODE is the same file after cold boot and after resuming from hibernate.
LSPCI -VV and LSPCI -VVN are different after cold boot and after resuming from hibernate.

Diffing results from both LSPCI commands i get the same results:

[code]
diff lspci-vvCB* lspci-vvRH*
4c4
< Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort+ <MAbort+ >SERR- <PERR-
---
> Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort+ <MAbort- >SERR- <PERR-
118c118
< Status: D0 PME-Enable- DSel=0 DScale=0 PME-
---
> Status: D0 PME-Enable- DSel=0 DScale=0 PME+
effenberg@effenberg-mobile:~/bugreport$ diff lspci-vvnCB* lspci-vvnRH*
4c4
< Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort+ <MAbort+ >SERR- <PERR-
---
> Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort+ <MAbort- >SERR- <PERR-
118c118
< Status: D0 PME-Enable- DSel=0 DScale=0 PME-
---
> Status: D0 PME-Enable- DSel=0 DScale=0 PME+
effenberg@effenberg-mobile:~/bugreport$
[/code]

So, I have redone tests, now checking what changes in LSPCI output when I am without sound (after returning from HIBERNATE) and SUSPENDING and RESUMING to get sound back.

Diffing lspci -vv and lspci -vvn from "Cold Boot" to "Resume from Suspend", I get no difference. Cool.
Diffing lspci -vv and lspci -vvn from "Resume from Hibernate" to "Resume from Suspend", I get the same diff pasted in my message above.

Conclusions:

1)
- "MAbort+" changes to "MAbort-" for device "00:00.0 Host bridge: VIA Technologies, Inc. CN700/VN800/P4M800CE/Pro Host Bridge" when i get back from HIBERNATE. This makes sound stop working.
- When I SUSPEND to get sound back, I get "MAbort+" again. This makes sound start working.

2)
- "PME-" changes to "PME+" for device "00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81) (prog-if 00 [UHCI])" when i get back from HIBERNATE. This makes sound stop working.
- When I SUSPEND to get sound back, I get "PMA-" again. This makes sound start working.

Now... If I only knew what "MAbort" or "PME" are, I guess the world would be a better place. By now I know I should always want "MAbort" to be "+" and "PME" to be "-" if I want sound after hibernation. Googling isn't quite helping. All I get are lspci outputs posted...

Regards,
Effenberg

The "PME" change, from "PME-" to "PME+", when I resume from HIBERNATE is related to a USB controller. How could it relate to sound? So I am gonna guess we can exclude this "PME" thing and focus on the "MAbort" thing.

So, wild guessing again, should I just focus on understanding "Mabort+ to Mabort- issue", once it relates to the PCI Host Bridge, that actually interfaces with Audio?

I just wanna understand this. And I want audio! And the help from some Developers, Developers, Developers, Developers, Developers.
I am tired LOL.

Regards,
Effenberg

Julien (juju-theseaman) wrote :

I've the same problem with a HP dv5053ea laptop, after hibernating or suspending (suspend to RAM or suspend to disk), the sound is off.
I have to run the command
    sudo /etc/init.d/alsa-utils restart
to recover sound.

You can find attached the results of uname -a, sudo lspci -vv, sudo lspci -vvn, sudo dmidecode

I'm running with Gutsy Gibbon and 2.6.22 kernel

Caroline Ford (secretlondon) wrote :

Does anyone still have this problem in Hardy?

Caroline Ford (secretlondon) wrote :

new ->confirmed

Clearly still affecting some users in gutsy

Changed in linux-source-2.6.22:
status: New → Confirmed

I have this problem in Hardy with 2.6.24-16-generic kernel. Restarting alsa-utils doesn't help for me.

I attached the outputs after rebooting, when sound is ok. There are differences.

Makar (n8makar) wrote :

i can confirm that this is still a problem in hardy with 2.6.24-16 generic kernel.

nothing here seems to work for me either.

the reports attached are when sound is after hibernation when no sound.

mac (dvisnic) wrote :

Acer TravelMate 5320
Ubuntu 8.04 with latest packages
After coming back from hibernation sound doesn't work.
This is the only solution that worked form me...

sudo /sbin/alsa force-reload

afterwards it reloaded all of snd modules back to kernel and gnome-volume-applet asked for reload.

hope it helps...

Smartypants (fredrik-normann) wrote :

I got the same problem.

markor (markoresko) wrote :

I am using Xubuntu 8.04/Hardy on amd64. AMD RS690G chipset (X1250 GPU, sound)
Every time I go to hibernate, I lost sound.
I tested sudo /sbin/alsa force-reload and sound restarts but when i start
,for instance, audacious, volume level cannot be changed inside a program.

So we need a fix for LTS to make sound working automaticaly after
coming back from hibernate.

zwa (ulpianosonsi) wrote :

Same problem here!

Yann (lostec) wrote :

Same problem on a Toshiba P100, at least for STR (that also suffered from other problems, I solved in another bug report)... Problem that lasts since Dapper on this laptop (with alsa 1.0.14 recompiled, as dapper 1.0.10 was not supporting connexant codec).
Unloading/reloading alsa at suspend does not help.

Will try some oter quirks from the bug thread when I'll have time, now that I've resolved the black screen of death on suspend for this laptop.

Smartypants (fredrik-normann) wrote :

I need to add that 'alsa force-reload' works for me, but it's fare from optimal...

gdw2 (gdwarner) wrote :

The following also worked for me:

sudo /sbin/alsa force-reload

gdw2 (gdwarner) wrote :

The following also worked for me:

sudo /sbin/alsa force-reload

I'm using Hardy on an Everex StepNote ST5340T notebook. I never had this problem with Gutsy.

Svein Tore Seljebotn (sveint) wrote :

Same problem here in fully updated Hardy, but sudo /sbin/alsa force-reload also "solved" my problem. Not a permanent solution though, so definately a bug.

JLP (mandigueiro) wrote :

I have a solution that worked for me, but I am sure that it won't work for everyone, so take it or leave it.

I took the advice from Nitinn above and it worked for me. (Mute all of your audio channels before suspending.) You have to mute EVERY channel to get this to work. However, this can be automated.

First you make scripts to mute/unmute all of your channels automatically. Mine look like the following:
/usr/local/bin/mute-all.bash
---------------------------------
#!/bin/bash
amixer set Master mute
amixer set Headphone mute
amixer set PCM mute
amixer set CD mute
--------------------------------

/usr/local/bin/unmute-all.bash
------------------------------------
#!/bin/bash
amixer set Master unmute
amixer set Headphone unmute
amixer set PCM unmute
amixer set CD unmute
------------------------------------

Please note that ALL of my other channels are MUTED by default. You might need to run the command: "amixer scontrols" to get all of the channels for YOUR soundcard.

You can then put this at the bottom of /etc/hibernate/common.conf:
OnSuspend 99 /usr/local/bin/mute-all.bash
OnResume 99 /usr/local/bin/unmute-all.bash

This got the sound working for me. There is a default option to mute the audio before suspend/hibernation that is commented out in /etc/hibernate/common.conf however this didn't work for me because it only mutes the Master channel. Turns out that muting BOTH PCM and Master is enough to get the job done for me, but I include everything since it doesn't hurt.

I hope this info helps someone.

JLP (mandigueiro) wrote :

Please, please, please tell me everyone remembers to chmod +x the scripts?

tuxo (beat-fasel) wrote :

OS: Kubuntu / Ubuntu Hardy Heron
Hardware: Core2 Duo T7300, Intel Santa Rosa, i965 graphics chipset
Laptop: Littlebit Sepia X35 (Asus Z37E)

I have the same problem on Hardy Heron, sound does not work after hibernate / suspend. However, I can make it work manually by applying following procedures after a hibernate/suspend session:

1) kill all audio/video applications (e.g. killall kaffeine etc), including the volume applet (e.g. killall kmix)
2) then unloading and reloading the sound module
modprobe -r snd_hda_intel
modprobe snd_hda_intel
3) restarting the audio/video applictions (e.g. kaffeine) and volume applet (e.g. kmix)

Alternatively, the following command works as well:
sudo /sbin/alsa force-reload
However, it kills all audio/video applications, including the volume applet, which have to be restarted manually.

PheonixKotori (m-garee) wrote :

"Me too." I'm running Hardy Heron, though I had this problem with Gutsy, as well.

One thing of note, Hardy uses the PulseAudio sound server by default instead of ALSA. But I believe it pipes ALSA through PulseAudio. Because Hardy uses PulseAudio, there's a different workaround available. From a terminal, run:

sudo killall pulseaudio
pulseaudio &

This completely kills the PulseAudio server, then restarts it. The '&' allows you to close the terminal window without causing PulseAudio to be killed as a side effect. This is about the same as the ALSA method, but it seems "cleaner" since you're working only with a program instead of a driver module.

You will need to close and restart any programs that are actively using audio; they'll become very unstable and likely crash on their own otherwise.

Sergio Zanchetta (primes2h) wrote :

May you please have a look here
https://wiki.ubuntu.com/KernelTeamBugPolicies
providing necessary information related to Hardy version?

Changed in linux:
status: New → Incomplete
Changed in linux-source-2.6.17:
status: Confirmed → Invalid
Sergio Zanchetta (primes2h) wrote :

The 18 month support period for Edgy Eft 6.10 has reached it's end of life. As a result, we are closing the linux-source-2.6.17 Edgy Eft kernel task. However, please note that this report will remain open against the actively developed kernel. Thank you for your continued support and help as we debug this issue.

tuxo (beat-fasel) wrote :

I was able to fix my sound problem in up-to-date Hardy Heron following a guide from the German magazine FreiesMagazin (http://www.freiesmagazin.de), June 2008, on page 19:

1) Create the following file: /etc/modprobe.d/snd-hda-intel.modprobe
2) Append at the end of the file following entry: options snd-hda-intel model=3stack-dig
3) Append at the end of the file /etc/modprobe.d/alsa-base following entry: options snd-hda-intel model=3stack-dig
4) Edit following file: /etc/default/acpi-support and change the following entry:

# Add services to this list to stop
# them before suspend and restart
# them in the resume process.
STOP_SERVICES="alsa"

5) Reboot your computer

After this, sound worked for me after suspend to ram and hibernation.
Note that the model in the above entry has to match the sound chip in your computer. Intel high definition audio (HDA) allows for different chips to be used. Your chip can be found via following command:

$ aplay -l

A list of drivers can be found in following file:

$ zless /usr/share/doc/alsa-base/driver/ALSA-Configuration.txt.gz

There are usually several options, try them all to find your matching driver.

OS: Kubuntu / Ubuntu Hardy Heron
Hardware: Core2 Duo T7300, Intel Santa Rosa, i965 graphics chipset
Laptop: Littlebit Sepia X35 (Asus Z37E)

The previous guide worked fine for me! Thanks!

> The previous guide worked fine for me! Thanks!
I am happy to hear this!

Actually, later on I found out that with the 3stack-dig driver the headphone was not working anymore. Hence, I tried the 6stack-dig driver. All of a sudden I had more controls in the audio mixer applet (KMix under Kubuntu but I guess this should be the same in Ubuntu). Surprisingly, there was no volume slider for the headphone and via alsamixer I could not activate the headphone slider either. However, I have a surround slider now and strangely this one regulates the headphone output. So both the speackers and the headphone work now, also after suspend.

As mentioned beforehand, I have a Littlebit Sepia X35 (equivalent to an Asus Z37E) notebook computer.

Yup, I also used the 6stack-dig driver.

Changed in linux:
assignee: nobody → ubuntu-kernel-team
status: Incomplete → Confirmed
Changed in linux-source-2.6.17:
status: Invalid → Won't Fix
tommyhot (tommyhot-itzone) wrote :

root@hackingmachine:/# /usr/sbin/alsa force-reload
Terminating processes: 3817 14965.
Unloading ALSA sound driver modules: snd-hda-intel snd-pcm-oss snd-mixer-oss snd-pcm snd-seq-dummy snd-seq-oss snd-seq-midi snd-rawmidi snd-seq-midi-event snd-seq snd-timer snd-seq-device snd-page-alloc.
Loading ALSA sound driver modules: snd-hda-intel snd-pcm-oss snd-mixer-oss snd-pcm snd-seq-dummy snd-seq-oss snd-seq-midi snd-rawmidi snd-seq-midi-event snd-seq snd-timer snd-seq-device snd-page-alloc.

this works for me on debian lenny/sid.

Changed in linux:
importance: Undecided → Medium
status: Confirmed → Triaged
Mackenzie Morgan (maco.m) wrote :
Daniel T Chen (crimsun) on 2008-08-25
Changed in linux-ubuntu-modules-2.6.24:
importance: Undecided → Low
status: New → Triaged
Walter- (wvtienen) wrote :

solution from Tuxo also worked for me
(on Hardy Heron, kernel 2.6.24-19-generic)

great to have sound after hybernate...

Walter

Stefan Bader (smb) wrote :

To old and "model=" can be set manually.

Changed in linux-source-2.6.20:
status: Confirmed → Won't Fix
Stefan Bader (smb) wrote :

Too old and "model=" can be used.

Changed in linux-source-2.6.22:
status: Confirmed → Won't Fix
Stefan Bader (smb) wrote :

SRU justification:

Impact: Correct chipset model is not selected for hda sound driver. Sound does not work after resume.

Fix: Update the quirks table to select the correct chipset for a given computer model.

Testcase: See bug report.

Changed in linux-ubuntu-modules-2.6.24:
status: Triaged → Fix Committed
Stefan Bader (smb) on 2008-08-28
Changed in linux:
assignee: ubuntu-kernel-team → stefan-bader-canonical
status: Triaged → In Progress
Changed in linux-ubuntu-modules-2.6.24:
assignee: nobody → stefan-bader-canonical

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.27-2.3

---------------
linux (2.6.27-2.3) intrepid; urgency=low

  [ Ben Collins ]

  * build/retag: Make script save .orig of tags for later use
  * ubuntu/lirc: Fix device_create call
  * build/firmware: Put in-kernel firmware into version specific subdir
    - LP: #262115
  * Rebase on linux-2.6 git.
  * ABI bump

  [ Herton Ronaldo Krzesinski ]

  * SAUCE: (no-up) Apparmor warning fixes

  [ John Johansen ]

  * SAUCE: (no-up) Proper AppArmor ptrace updates for newer lsm API

  [ Mackenzie Morgan ]

  * SAUCE: Add quirk for ASUS Z37E to make sound audible after resume
    - LP: #25896

 -- Ben Collins <email address hidden> Wed, 27 Aug 2008 14:03:05 -0400

Changed in linux:
status: In Progress → Fix Released
Christoph Korn (c-korn) wrote :

Why does the linux-generic meta package still depend on the old version?
http://packages.ubuntu.com/intrepid/linux-generic

Colin Watson (cjwatson) wrote :

Christoph, it was waiting for an upgraded linux-restricted-modules to make its way through the archive; that's done now so there should be a new set of metapackages shortly. This process can often take a day or so.

Joachim (joachimrs) wrote :

Have the same problem. No sound after waking up from hibernation (booting up Ubuntu). Attached uname, lspci -vv, lspci -vvn and dmidecode.

Loging out and Login in solves the problem. Sound is back on. Didn't try restarting via rc Scripts as this can brake Gnome mixer someone mentioned above. If this is all wrong, sorry, I'm new to Ubuntu.

Yann (lostec) wrote :

How such a big problem can be flagged as "fix commited"... when fix does not apply to last current stable (and LTS this time) release??!!

Needing to upgrade every 6 month to solve some problems (and get new ones!) is really far from users concerns...

Stefan Bader (smb) wrote :

Fix committed just would mean its in the git. I had a patch that applied to l-u-m for Hardy, but I must admit it has been lost somewhere in the process. It will come to Hardy with the next -proposed update.

Stefan Bader (smb) wrote :

Hardy l-u-m: patch got lost. I put the status back to "in progress".

Changed in linux-ubuntu-modules-2.6.24:
status: Fix Committed → In Progress
Stefan Bader (smb) wrote :

Fix commited as f4c9e59860fd5efbfb077aca95445000fe51ba5d to Hardy-LUM
(UBUNTU: Add quirk for ASUS Z37E to make sound audible after resume)

Changed in linux-ubuntu-modules-2.6.24:
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Accepted into hardy-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Steve Langasek (vorlon) wrote :

Accepted into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ubuntu-modules-2.6.24 - 2.6.24-23.36

---------------
linux-ubuntu-modules-2.6.24 (2.6.24-23.36) hardy-proposed; urgency=low

  [Adrian Bunk]

  * sms1xxx: dvb/siano/: cleanups
    - LP: #301204

  [Amit Kucheria]

  * Marvell 8686 driver update from moblin to fix suspend issues
    - LP: #291558
  * LPIA: Updated poulsbo driver to 2.2.0.32L.0020
    - LP: #291582

  [Colin Ian King]

  * Enable appleir driver for new MacBook Pro
    - LP: #157919

  [Mackenzie Morgan]

  * Add quirk for ASUS Z37E to make sound audible after resume
    - LP: #25896

  [Michael Krufky]

  * au0828: add new USB IDs for HVR950Q
    - LP: #299634
  * sms1xxx: fix product name for Hauppauge WinTV MiniStick
    - LP: #299640
  * sms1xxx: Add new USB product ID for Hauppauge WinTV MiniStick
    - LP: #299636
  * sms1xxx: support two new revisions of the Hauppauge WinTV MiniStick
    - LP: #299636
  * sms1xxx: use new firmware for Hauppauge WinTV MiniStick
    - LP: #299671
  * sms1xxx: add USB IDs for Hauppauge WinTV MiniCard DVB-T
    - LP: #299680
  * sms1xxx: add autodetection support for Hauppauge WinTV MiniCard
    2040:200a
    - LP: #299680
  * sms1xxx: add functions to configure and set gpio
    - LP: #301204
  * sms1xxx: turn off LEDs after initialization of Hauppauge WinTV
    MiniStick
    - LP: #301204
  * sms1xxx: enable power LED on Hauppauge WinTV MiniStick
    - LP: #301405
  * sms1xxx: enable LNA control on Hauppauge WinTV MiniCard
    - LP: #301204
  * sms1xxx: fix invalid unc readings
    - LP: #301204
  * sms1xxx: enable signal quality indicator LEDs on Hauppauge WinTV
    MiniStick
    - LP: #301405

  [Stefan Bader]

  * Import git-ubuntu-log from kernel repository
  * alsa: backport alc662 update to enable CMPC 1.5
    - LP: #301785

  [Tim Gardner]

  * Backoport iwlwifi 5000 (Shirley Peak) wireless driver
    - LP: #264063
  * Add microcode for iwlwifi 5000.
    - LP: #264063
  * iwl3945 - set disable_hw_scan=1
    - LP: #226410

linux-ubuntu-modules-2.6.24 (2.6.24-22.35) hardy-security; urgency=low

  ABI bump to -22

linux-ubuntu-modules-2.6.24 (2.6.24-22.34) hardy-proposed; urgency=low

  [Amit Kucheria]

  * Marvell 8686 driver update from moblin to fix suspend issues
    - LP: #291558
  * LPIA: Updated poulsbo driver to 2.2.0.32L.0020
    - LP: #291582

  [Colin Ian King]

  * Enable appleir driver for new MacBook Pro
    - LP: #157919

  [Mackenzie Morgan]

  * Add quirk for ASUS Z37E to make sound audible after resume
    - LP: #25896

  [Stefan Bader]

  * SAUCE: buildenv: Import git-ubuntu-log from kernel repository

  [Tim Gardner]

  * Backoport iwlwifi 5000 (Shirley Peak) wireless driver
    - LP: #264063
  * Add microcode for iwlwifi 5000.
    - LP: #264063
  * iwl3945 - set disable_hw_scan=1
    - LP: #226410

 -- Stefan Bader <email address hidden> Mon, 24 Nov 2008 17:01:59 +0100

Changed in linux-ubuntu-modules-2.6.24:
status: Fix Committed → Fix Released
To post a comment you must log in.